<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::probabilistic_decision_function&lt; K &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1probabilistic__decision__function.html">probabilistic_decision_function</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1probabilistic__decision__function-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::probabilistic_decision_function&lt; K &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a25f984bd1808fae144553701b37dd654"><td class="memItemLeft" align="right" valign="top"><a id="a25f984bd1808fae144553701b37dd654"></a>
typedef K&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_type</b></td></tr>
<tr class="separator:a25f984bd1808fae144553701b37dd654"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e6342cf3e86559d737e592b987ce430"><td class="memItemLeft" align="right" valign="top"><a id="a8e6342cf3e86559d737e592b987ce430"></a>
typedef K::scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a8e6342cf3e86559d737e592b987ce430"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d054ade6cacc29e39b1dd2b8ac1eb0f"><td class="memItemLeft" align="right" valign="top"><a id="a2d054ade6cacc29e39b1dd2b8ac1eb0f"></a>
typedef K::scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>result_type</b></td></tr>
<tr class="separator:a2d054ade6cacc29e39b1dd2b8ac1eb0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a381670e3f9b7aa7d7e89f6894198ba54"><td class="memItemLeft" align="right" valign="top"><a id="a381670e3f9b7aa7d7e89f6894198ba54"></a>
typedef K::sample_type&#160;</td><td class="memItemRight" valign="bottom"><b>sample_type</b></td></tr>
<tr class="separator:a381670e3f9b7aa7d7e89f6894198ba54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36a1c7a35b2bb11709ff74c2a0716fbb"><td class="memItemLeft" align="right" valign="top"><a id="a36a1c7a35b2bb11709ff74c2a0716fbb"></a>
typedef K::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a36a1c7a35b2bb11709ff74c2a0716fbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af6e348e29237ee793b1d5fa296fcbea3"><td class="memItemLeft" align="right" valign="top"><a id="af6e348e29237ee793b1d5fa296fcbea3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>probabilistic_decision_function</b> (const <a class="el" href="structdlib_1_1probabilistic__function.html">probabilistic_function</a>&lt; <a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; K &gt; &gt; &amp;d)</td></tr>
<tr class="separator:af6e348e29237ee793b1d5fa296fcbea3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae044107475f890765a3d9cd4dce14cf"><td class="memItemLeft" align="right" valign="top"><a id="aae044107475f890765a3d9cd4dce14cf"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>probabilistic_decision_function</b> (const <a class="el" href="structdlib_1_1probabilistic__decision__function.html">probabilistic_decision_function</a> &amp;d)</td></tr>
<tr class="separator:aae044107475f890765a3d9cd4dce14cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e9e114d527a6d7b5d40e1aebcd41a6b"><td class="memItemLeft" align="right" valign="top"><a id="a9e9e114d527a6d7b5d40e1aebcd41a6b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>probabilistic_decision_function</b> (const scalar_type a_, const scalar_type b_, const <a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; K &gt; &amp;decision_funct_)</td></tr>
<tr class="separator:a9e9e114d527a6d7b5d40e1aebcd41a6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bd2b5527d188a75edf3bd4e3efe123d"><td class="memItemLeft" align="right" valign="top"><a id="a4bd2b5527d188a75edf3bd4e3efe123d"></a>
result_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (const sample_type &amp;x) const</td></tr>
<tr class="separator:a4bd2b5527d188a75edf3bd4e3efe123d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae4f9cd5515605a20038e54a1632bcf41"><td class="memItemLeft" align="right" valign="top"><a id="ae4f9cd5515605a20038e54a1632bcf41"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>alpha</b></td></tr>
<tr class="separator:ae4f9cd5515605a20038e54a1632bcf41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c9119e8f429c5339dd024bf8fa3f019"><td class="memItemLeft" align="right" valign="top"><a id="a8c9119e8f429c5339dd024bf8fa3f019"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>beta</b></td></tr>
<tr class="separator:a8c9119e8f429c5339dd024bf8fa3f019"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab1c7d02e511e3a5adc03cdffc13b16e"><td class="memItemLeft" align="right" valign="top"><a id="aab1c7d02e511e3a5adc03cdffc13b16e"></a>
<a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; K &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>decision_funct</b></td></tr>
<tr class="separator:aab1c7d02e511e3a5adc03cdffc13b16e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="function_8h_source.html">function.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
